Package org.apache.groovy.parser.antlr4.internal.atnmanager

## Class LexerAtnManager

- java.lang.Object
- - org.apache.groovy.parser.antlr4.internal.atnmanager.AtnManager
  - - org.apache.groovy.parser.antlr4.internal.atnmanager.LexerAtnManager

-     public class LexerAtnManager
      extends AtnManager

  Manage ATN for lexer to avoid memory leak

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.groovy.parser.antlr4.internal.atnmanager.AtnManager

      `AtnManager.AtnWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static LexerAtnManager` | `INSTANCE` |

    - ### Fields inherited from class org.apache.groovy.parser.antlr4.internal.atnmanager.AtnManager

      `READ_LOCK`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.antlr.v4.runtime.atn.ATN` | `getATN()` |
    `protected boolean` | `shouldClearDfaCache()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final LexerAtnManager INSTANCE

  - ### Method Detail

    - #### getATN

          public org.antlr.v4.runtime.atn.ATN getATN()

      Specified by:
        `getATN` in class `AtnManager`

    - #### shouldClearDfaCache

          protected boolean shouldClearDfaCache()

      Specified by:
        `shouldClearDfaCache` in class `AtnManager`